/*
 * ArguSolverFactory.cpp
 *
 *  Created on: Apr 16, 2012
 *      Author: joh
 */
#include "ArguSolverFactory.h"

AbstractSolverWrapper *ArguSolverFactory::getSolver() {
	switch (curOracleType) {
		case MINISAT_SOLV:
			return new MinisatWrapper();
			break;
		case CLASP_SOLV:
			return new ClaspWrapper();
			break;
		default:
			return new MinisatWrapper();
			break;
	}
}
